> For the complete documentation index, see [llms.txt](https://docs.solflare.com/solflare/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.solflare.com/solflare/technical/profile-picture-protocol/get-a-wallets-profile-picture.md).

# Get a Wallet's Profile Picture

Use the functionality below to fetch a wallet's profile picture in order to display it on your own protocol's front-end.&#x20;

```
function getProfilePicture (connection: Connection, publicKey: PublicKey, config: ProfilePictureConfig): Promise<ProfilePicture>
```

**Params**

* `connection` - RPC connection object
* `publicKey` - The public key of the wallet
* `config` (optional)
  * `fallback` - Boolean, use a fallback generated image (default `true`)
  * `resize` - Object with Cloudflare image resize params (default `{ widht: 100 }`)
* `fallback` - Boolean, use a fallback generated image (default `true`)

**Return value**

Object with the following fields:

* `isAvailable` - Boolean, `true` if there is a profile picture for the given wallet
* `url` - The URL of the profile image, is always populated (either a fallback image or an empty-image icon), you can choose to ignore it if `isAvailable` is false
* `name` - NFT name (only if `isAvailable: true`)
* `metadata` - NFT metadata object (only if `isAvailable: true`)
* `tokenAccount` - The public key of the token account that holds the NFT (only if `isAvailable: true`)
* `mintAccount` - The public key of the NFT's mint (only if `isAvailable: true`)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.solflare.com/solflare/technical/profile-picture-protocol/get-a-wallets-profile-picture.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
